"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InDarkMode = exports.DifferentLevels = exports.Preview = void 0;
const react_1 = __importDefault(require("react"));
const base_ui_theme_dark_theme_1 = require("@teambit/base-ui.theme.dark-theme");
const base_ui_theme_theme_provider_1 = require("@teambit/base-ui.theme.theme-provider");
const ui_foundation_ui_notifications_store_1 = require("@teambit/ui-foundation.ui.notifications.store");
const notification_1 = require("./notification");
const Preview = () => {
    const message = {
        id: 'msgId01',
        level: ui_foundation_ui_notifications_store_1.MessageLevel.info,
        message: 'message content',
        time: new Date().toISOString(),
    };
    return react_1.default.createElement(notification_1.Notification, { entry: message });
};
exports.Preview = Preview;
const DifferentLevels = () => {
    return (react_1.default.createElement(base_ui_theme_theme_provider_1.Theme, null,
        react_1.default.createElement(notification_1.Notification, { entry: {
                id: 'msgId01',
                level: ui_foundation_ui_notifications_store_1.MessageLevel.success,
                message: 'message content',
                time: new Date().toISOString(),
            } }),
        react_1.default.createElement("br", null),
        react_1.default.createElement(notification_1.Notification, { entry: { id: 'msgId02', level: ui_foundation_ui_notifications_store_1.MessageLevel.info, message: 'message content', time: new Date().toISOString() } }),
        react_1.default.createElement("br", null),
        react_1.default.createElement(notification_1.Notification, { entry: {
                id: 'msgId03',
                level: ui_foundation_ui_notifications_store_1.MessageLevel.warning,
                message: 'message content',
                time: new Date().toISOString(),
            } }),
        react_1.default.createElement("br", null),
        react_1.default.createElement(notification_1.Notification, { entry: { id: 'msgId04', level: ui_foundation_ui_notifications_store_1.MessageLevel.error, message: 'message content', time: new Date().toISOString() } })));
};
exports.DifferentLevels = DifferentLevels;
const InDarkMode = () => {
    return (react_1.default.createElement(base_ui_theme_theme_provider_1.Theme, null,
        react_1.default.createElement("div", { className: base_ui_theme_dark_theme_1.darkMode },
            react_1.default.createElement(notification_1.Notification, { entry: {
                    id: 'msgId01',
                    level: ui_foundation_ui_notifications_store_1.MessageLevel.success,
                    message: 'message content',
                    time: new Date().toISOString(),
                } }),
            react_1.default.createElement("br", null),
            react_1.default.createElement(notification_1.Notification, { entry: {
                    id: 'msgId02',
                    level: ui_foundation_ui_notifications_store_1.MessageLevel.info,
                    message: 'message content',
                    time: new Date().toISOString(),
                } }),
            react_1.default.createElement("br", null),
            react_1.default.createElement(notification_1.Notification, { entry: {
                    id: 'msgId03',
                    level: ui_foundation_ui_notifications_store_1.MessageLevel.warning,
                    message: 'message content',
                    time: new Date().toISOString(),
                } }),
            react_1.default.createElement("br", null),
            react_1.default.createElement(notification_1.Notification, { entry: {
                    id: 'msgId04',
                    level: ui_foundation_ui_notifications_store_1.MessageLevel.error,
                    message: 'message content',
                    time: new Date().toISOString(),
                } }))));
};
exports.InDarkMode = InDarkMode;
//# sourceMappingURL=notification.compositions.js.map